<?php
$name = get_option('lab23_copyright_author', false) ?: LAB23_BLOG_NAME;
$copyright_establish_year = get_option('lab23_copyright_year', false);
$display_this_year = get_option('lab23_copyright_this_year', false);

$blog_desc = get_bloginfo('description');
$blog_name = get_bloginfo('name');

$this_year = date('Y');

$year = '';

if ($copyright_establish_year) {
    if ($display_this_year && ($copyright_establish_year !== $this_year)) {
        $year = $copyright_establish_year . '-' . $this_year;
    } else {
        $year = $copyright_establish_year;
    }
}
?>

<div class="copyright">
    <p class="copyright__text" id="c-copyright">© <?php echo $year . ' '; ?><?php echo $name . ' '; ?>All rights reserved.</p>
    <p class="powered__text">Powered by <a class="lab23__link" href="https://tomiwa-tech.co.jp/lab23/" target="_blank" rel="noopener" title="Free WordPress Theme Lab23">Lab23</a></p>
</div>